device_add
Prev | Device Drivers Base | Next

## Name

device_add — add device to device hierarchy.

## Synopsis

`int device_add (` | struct device * | dev`)`;

## Arguments

`dev`

  device.

## Description

This is part 2 of `device_register`, though may be called separately _iff_ `device_initialize` has been called separately.

This adds it to the kobject hierarchy via `kobject_add`, adds it to the global and sibling lists for the device, then adds it to the other relevant subsystems of the driver model.

Prev | Up | Next
device_initialize | Home | device_register